var __makeTemplateObject = this && this.__makeTemplateObject || function (cooked, raw) {
  if (Object.defineProperty) {
    Object.defineProperty(cooked, "raw", {
      value: raw
    });
  } else {
    cooked.raw = raw;
  }

  return cooked;
};

import React from 'react';
import styled from 'styled-components';
import { Segment } from "../elements";
import { useWidget } from "./widgets";
import { WidgetLoadingFallback } from "./shared/WidgetLoadingFallback";
import { Button } from "../inputs/Button";

var WidgetContent = function (_a) {
  var as = _a.as;
  var Component = useWidget(as);
  return React.createElement(Component, null);
};

var WidgetSegment = styled(Segment)({
  overflowY: 'auto',
  margin: 0,
  display: 'block'
});
export var WidgetButton = styled(Button)({
  minHeight: '1em',
  padding: '4px 12px',
  minWidth: '135px',
  lineHeight: '22px',
  fontWeight: 600,
  whiteSpace: 'nowrap'
});
var WidgetBox = styled('div')(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-block;\n  width: 100%;\n  margin: 10px 0;\n  overflow: auto;\n  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.29);\n  border-radius: 0.75em;\n  background: #fff;\n"], ["\n  display: inline-block;\n  width: 100%;\n  margin: 10px 0;\n  overflow: auto;\n  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.29);\n  border-radius: 0.75em;\n  background: #fff;\n"])));
export var Widget = function (_a) {
  var as = _a.as;
  return React.createElement(WidgetBox, null, React.createElement(WidgetSegment, null, React.createElement(React.Suspense, {
    fallback: React.createElement(WidgetLoadingFallback, null)
  }, React.createElement(WidgetContent, {
    as: as
  }))));
};
var templateObject_1;