var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }

  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }

    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }

    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }

    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};

var __generator = this && this.__generator || function (thisArg, body) {
  var _ = {
    label: 0,
    sent: function () {
      if (t[0] & 1) throw t[1];
      return t[1];
    },
    trys: [],
    ops: []
  },
      f,
      y,
      t,
      g;
  return g = {
    next: verb(0),
    "throw": verb(1),
    "return": verb(2)
  }, typeof Symbol === "function" && (g[Symbol.iterator] = function () {
    return this;
  }), g;

  function verb(n) {
    return function (v) {
      return step([n, v]);
    };
  }

  function step(op) {
    if (f) throw new TypeError("Generator is already executing.");

    while (_) try {
      if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
      if (y = 0, t) op = [op[0] & 2, t.value];

      switch (op[0]) {
        case 0:
        case 1:
          t = op;
          break;

        case 4:
          _.label++;
          return {
            value: op[1],
            done: false
          };

        case 5:
          _.label++;
          y = op[1];
          op = [0];
          continue;

        case 7:
          op = _.ops.pop();

          _.trys.pop();

          continue;

        default:
          if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
            _ = 0;
            continue;
          }

          if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
            _.label = op[1];
            break;
          }

          if (op[0] === 6 && _.label < t[1]) {
            _.label = t[1];
            t = op;
            break;
          }

          if (t && _.label < t[2]) {
            _.label = t[2];

            _.ops.push(op);

            break;
          }

          if (t[2]) _.ops.pop();

          _.trys.pop();

          continue;
      }

      op = body.call(thisArg, _);
    } catch (e) {
      op = [6, e];
      y = 0;
    } finally {
      f = t = 0;
    }

    if (op[0] & 5) throw op[1];
    return {
      value: op[0] ? op[1] : void 0,
      done: true
    };
  }
};

import { useEffect, useState } from 'react';
import { useWidgetContext } from "../context";
import { useLucene } from "./useLucene";
export var useFetchSessions = function (fetchParamsData, handler) {
  var _a = useState([]),
      sessions = _a[0],
      setSessions = _a[1];

  var _b = useState(true),
      loading = _b[0],
      setLoading = _b[1];

  var _c = useState(false),
      error = _c[0],
      setError = _c[1];

  var _d = useWidgetContext(),
      client = _d.client,
      _e = _d.provider,
      openApp = _e.openApp,
      selectAppsIds = _e.selectAppsIds,
      selectMe = _e.selectMe;

  var me = selectMe();

  var _f = selectAppsIds(),
      katId = _f.katId,
      ivId = _f.ivId;

  var _g = useLucene(client, fetchParamsData)[0],
      ogitSessions = _g.result,
      ogitSessionsError = _g.error;
  useEffect(function () {
    var fetchSessions = function () {
      return __awaiter(void 0, void 0, void 0, function () {
        var handledSessions, error_1;
        return __generator(this, function (_a) {
          switch (_a.label) {
            case 0:
              _a.trys.push([0, 5,, 6]);

              if (!ogitSessionsError) return [3
              /*break*/
              , 2];
              return [4
              /*yield*/
              , Promise.reject(ogitSessionsError)];

            case 1:
              _a.sent();

              _a.label = 2;

            case 2:
              if (!ogitSessions) return [3
              /*break*/
              , 4];
              return [4
              /*yield*/
              , Promise.all(ogitSessions.map(handler(client, openApp, [katId, ivId], me.accountId)))];

            case 3:
              handledSessions = _a.sent();
              setSessions(handledSessions);
              setLoading(false);
              _a.label = 4;

            case 4:
              return [3
              /*break*/
              , 6];

            case 5:
              error_1 = _a.sent();
              setLoading(false);
              setError(error_1);
              return [3
              /*break*/
              , 6];

            case 6:
              return [2
              /*return*/
              ];
          }
        });
      });
    };

    fetchSessions();
  }, [client, handler, ivId, katId, me.accountId, ogitSessions, ogitSessionsError, openApp, selectAppsIds]);
  return {
    sessions: sessions,
    loading: loading,
    error: error
  };
};