var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { useEffect, useState } from 'react';
import { useWidgetContext } from "../context";
export var useKiCounts = function () {
  var _a = useState({
    counts: {
      total: 0,
      deployed: 0,
      validation: 0,
      undeployed: 0
    },
    loading: true,
    error: false
  }),
      data = _a[0],
      setData = _a[1];

  var _b = useWidgetContext(),
      client = _b.client,
      selectAppsIds = _b.provider.selectAppsIds;

  var defaultKnowledgePool = selectAppsIds().defaultKnowledgePool;
  useEffect(function () {
    var requestPromises = [client.lucene('(+ogit\\/_type:"ogit/Automation/KnowledgeItem")', {
      limit: -1,
      count: 'true'
    }), client.gremlin(defaultKnowledgePool, 'outE("ogit/uses").inV().count()'), client.gremlin(defaultKnowledgePool, 'outE("ogit/contains").inV().count()')];
    Promise.all(requestPromises).then(function (result) {
      var _a = result,
          total = _a[0][0],
          deployed = _a[1][0],
          validation = _a[2][0];
      var counts = {
        total: total,
        validation: validation,
        deployed: deployed,
        undeployed: total - deployed - validation
      };
      setData({
        counts: counts,
        loading: false,
        error: false
      });
    }).catch(function () {
      return setData(function (state) {
        return __assign(__assign({}, state), {
          error: true
        });
      });
    });
  }, [client, defaultKnowledgePool]);
  return data;
};