import React from 'react';
import { SiteMap } from "../../../icons";
import { DetailItemWrapper, DetailsContainer, DetailsItemButtonWrapper, NodeHrefLink } from "./styles";
export var SessionItemDetails = function (_a) {
  var session = _a.session;
  var knowledgeOwner = session.knowledgeOwner,
      originNodeHref = session.originNodeHref;
  var description = [{
    name: 'Knowledge Owner',
    content: knowledgeOwner || 'none'
  }, {
    name: 'originNodeHref',
    content: originNodeHref
  }];
  var descriptionContent = description.map(function (item) {
    var name = item.name,
        content = item.content;

    if (!content) {
      return null;
    }

    if (name === 'originNodeHref') {
      var originNodeData = content;
      return React.createElement(DetailItemWrapper, {
        key: name
      }, React.createElement(NodeHrefLink, {
        target: "_blank noopener noreferrer",
        href: originNodeData.url
      }, React.createElement(SiteMap, {
        width: 14,
        height: 14
      }), originNodeData.name));
    }

    return React.createElement(DetailItemWrapper, {
      key: name
    }, React.createElement("b", null, name, ":"), React.createElement("span", null, content));
  });
  return React.createElement(DetailsContainer, {
    direction: "row"
  }, descriptionContent, session.descriptionActions && React.createElement(DetailsItemButtonWrapper, null, session.descriptionActions));
};