var _a;

import React from 'react';
import { Header, WidgetTitle } from "../../../shared";
import { ViewType } from "../../../types";
import { StatisticColumn } from "./StatisticColumn";
import { StatisticsLoader } from "./StatisticsLoader";
import { StatisticBox, StatisticsContainer } from "./styles";
var viewTypeActionTitle = (_a = {}, _a[ViewType.overview] = 'Show statistic', _a[ViewType.graphView] = 'Show history', _a);

var configureViewSwitchingData = function (setView, viewType) {
  if (setView && viewType) {
    return {
      title: viewTypeActionTitle[viewType],
      action: function () {
        return setView(viewType);
      }
    };
  }
};

export var Statistic = function (_a) {
  var data = _a.data,
      loading = _a.loading,
      title = _a.title,
      setView = _a.setView;
  return React.createElement(StatisticBox, null, React.createElement(Header, null, React.createElement(WidgetTitle, null, title)), React.createElement(StatisticsContainer, null, loading ? React.createElement(StatisticsLoader, {
    count: data.length
  }) : data.map(function (_a) {
    var title = _a.title,
        differenceText = _a.differenceText,
        whatItIs = _a.whatItIs,
        howToImprove = _a.howToImprove,
        angle = _a.angle,
        valueText = _a.valueText,
        valueColor = _a.valueColor,
        backgroundColor = _a.backgroundColor,
        error = _a.error,
        errorText = _a.errorText,
        viewType = _a.viewType;
    return React.createElement(StatisticColumn, {
      title: title,
      whatItIs: whatItIs,
      howToImprove: howToImprove,
      differenceText: differenceText,
      angle: angle,
      valueText: valueText,
      valueColor: valueColor,
      backgroundColor: backgroundColor,
      key: title,
      error: error,
      errorText: errorText,
      viewSwitchingData: configureViewSwitchingData(setView, viewType)
    });
  })));
};