import React, { useMemo } from 'react';
import { useTheme } from "../../../../../theme";
import { ProgressIndicator } from "../../../../elements";
import { StatisticPopoverBody, TitleWithPopover } from "./TitleWithPopover";
import { DiffText, StatisticsColumn } from "./styles";

var getColor = function (theme, colorScheme) {
  var color = colorScheme.color,
      greyScale = colorScheme.greyScale;
  return theme.colors[color][greyScale];
};

export var StatisticColumn = function (_a) {
  var title = _a.title,
      whatItIs = _a.whatItIs,
      howToImprove = _a.howToImprove,
      differenceText = _a.differenceText,
      angle = _a.angle,
      valueText = _a.valueText,
      valueColor = _a.valueColor,
      backgroundColor = _a.backgroundColor,
      error = _a.error,
      errorText = _a.errorText,
      viewSwitchingData = _a.viewSwitchingData;
  var theme = useTheme();
  var valueProgressColor = useMemo(function () {
    return getColor(theme, valueColor);
  }, [theme, valueColor]);
  var backgroundProgressColor = useMemo(function () {
    return getColor(theme, backgroundColor);
  }, [backgroundColor, theme]);
  var popoverBody = React.createElement(StatisticPopoverBody, {
    whatItIs: whatItIs,
    howToImprove: howToImprove
  });
  return React.createElement(StatisticsColumn, null, React.createElement(TitleWithPopover, {
    title: title,
    popoverBody: popoverBody
  }), React.createElement(ProgressIndicator, {
    valueText: valueText,
    valueColor: valueProgressColor,
    backgroundColor: backgroundProgressColor,
    angle: angle,
    viewSwitchingData: viewSwitchingData
  }), React.createElement(DiffText, null, differenceText));
};