var __makeTemplateObject = this && this.__makeTemplateObject || function (cooked, raw) {
  if (Object.defineProperty) {
    Object.defineProperty(cooked, "raw", {
      value: raw
    });
  } else {
    cooked.raw = raw;
  }

  return cooked;
};

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var _a;

import React, { useState } from 'react';
import styled from 'styled-components';
import { useTheme } from "../../../../../theme";
import { Arrow } from "../../../../icons";
import { DropDown } from "../../Dropdown";
import { Header, WidgetTitle } from "../../../shared";
import { automationRate } from "../data-templates";
import { ChartType } from "../utils";
import { ViewType } from "../../../types";
import { StatisticPopoverBody, TitleWithPopover } from "./TitleWithPopover";
import { StackedBarChart } from "../../StackedBarChart";
import { ChartWrapper, ControlWrapper, GoBackButton } from "./styles";

var getReminder = function (value) {
  return 100 - value;
};

var TITLES = (_a = {}, _a[ChartType.weekly] = 'Weekly Display', _a[ChartType.monthly] = 'Monthly Display', _a[ChartType.annual] = 'Annual Display', _a);
var DROPDOWN_DATA = [{
  title: TITLES[ChartType.weekly],
  callbackData: ChartType.weekly
}, {
  title: TITLES[ChartType.monthly],
  callbackData: ChartType.monthly
}, {
  title: TITLES[ChartType.annual],
  callbackData: ChartType.annual
}];

var Child = function (_a) {
  var children = _a.children;
  return React.createElement("span", null, children);
};

var WrappedTitleWithPopover = styled(TitleWithPopover)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  text-align: left;\n  padding: 20px 30px 0px;\n"], ["\n  text-align: left;\n  padding: 20px 30px 0px;\n"])));
export var StatisticsBarWrapper = function (_a) {
  var title = _a.title,
      setView = _a.setView,
      rateData = _a.rateData;
  var colors = useTheme().colors;

  var _b = useState(ChartType.weekly),
      activeChart = _b[0],
      setActiveChart = _b[1];

  var dropdownTitle = TITLES[activeChart];
  var rateDataActiveChart = rateData && rateData[activeChart] || [];
  var stackedBarChartData = rateDataActiveChart.map(function (item) {
    var borderLine = Number(Boolean(item.value));
    return __assign(__assign({}, item), {
      borderLine: borderLine,
      from: getReminder(item.value + borderLine)
    });
  }) || [];
  var barList = [{
    dataKey: 'value',
    fillColor: colors.secondary.default
  }, {
    dataKey: 'borderLine',
    fillColor: colors.primary.saturated
  }, {
    dataKey: 'from',
    fillColor: '#ececec'
  }];
  var axisProps = {
    axisLine: false,
    stroke: colors.primary.default,
    tickLine: false
  };
  var gridProps = {
    vertical: false,
    stroke: '#d0d0d0'
  };
  var whatItIs = automationRate.whatItIs,
      howToImprove = automationRate.howToImprove,
      popoverTitle = automationRate.title;
  var popoverBody = React.createElement(StatisticPopoverBody, {
    whatItIs: whatItIs,
    howToImprove: howToImprove
  });
  return React.createElement(React.Fragment, null, React.createElement(Header, null, React.createElement(WidgetTitle, null, title), React.createElement(ControlWrapper, null, React.createElement(GoBackButton, {
    color: "secondaryText",
    onClick: function () {
      return setView(ViewType.overview);
    },
    title: "Return to Statistics view"
  }, React.createElement(Arrow, {
    width: 16,
    height: 16
  })), React.createElement(DropDown, {
    callback: setActiveChart,
    selected: dropdownTitle,
    OptionChildren: Child,
    options: DROPDOWN_DATA
  }))), React.createElement(WrappedTitleWithPopover, {
    title: popoverTitle,
    popoverBody: popoverBody
  }), React.createElement(ChartWrapper, null, React.createElement(StackedBarChart, {
    dataList: stackedBarChartData,
    barList: barList,
    axisProps: axisProps,
    gridProps: gridProps
  })));
};
var templateObject_1;