var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import React from 'react';
import { useWidgetContext } from "../../context";
import { Statistic } from "../../shared/Statistic/presenters/Statistic";
import { automationRate, automatedTasks, knowledgePool } from "../../shared/Statistic/data-templates";
import { ViewType } from "../../types";
import { getStartOfDayDate, subtractDays } from "../../dateUtils";
import { getStatsData, useStatisticsData } from "../../shared/Statistic/utils";
export var StatisticsConversionController = function (_a) {
  var setView = _a.setView;

  var _b = useWidgetContext(),
      client = _b.client,
      title = _b.config.title;

  var dateNow = Date.now();
  var startOfDayDate = getStartOfDayDate(dateNow);
  var yesterdayStartDate = subtractDays(startOfDayDate, 1);
  var requestParams = {
    from: yesterdayStartDate,
    to: dateNow
  };
  var kis = useStatisticsData(client, 'TotalKIs', requestParams)[0];
  var tasks = useStatisticsData(client, 'AutomatedTasks', requestParams)[0];
  var rate = useStatisticsData(client, 'AutomationRate.Daily', requestParams)[0];
  var statisticProps = {
    title: title || '',
    loading: kis.loading && tasks.loading && rate.loading,
    data: [getStatsData(automationRate, rate, ViewType.graphView), getStatsData(automatedTasks, tasks), getStatsData(knowledgePool, kis)],
    setView: setView
  };
  return React.createElement(Statistic, __assign({}, statisticProps));
};