import React from 'react';
import { useWidgetContext } from "../../context";
import { Statistic } from "../../shared/Statistic/presenters/Statistic";
import { automationRate, automatedTasks, knowledgePool } from "../../shared/Statistic/data-templates";
import { getStartOfDayDate, subtractDays } from "../../dateUtils";
import { getStatsData, useStatisticsData } from "../../shared/Statistic/utils";
export var StatisticsTeachingController = function () {
  var _a = useWidgetContext(),
      client = _a.client,
      title = _a.config.title;

  var dateNow = Date.now();
  var startOfDayDate = getStartOfDayDate(dateNow);
  var yesterdayStatDate = subtractDays(startOfDayDate, 1);
  var requestParams = {
    from: yesterdayStatDate,
    to: dateNow
  };
  var kis = useStatisticsData(client, 'TotalKIs', requestParams)[0];
  var tasks = useStatisticsData(client, 'AutomatedTasks', requestParams)[0];
  var rate = useStatisticsData(client, 'AutomationRate.Daily', requestParams)[0];
  return React.createElement(Statistic, {
    title: title || '',
    loading: kis.loading && tasks.loading && rate.loading,
    data: [getStatsData(automationRate, rate), getStatsData(automatedTasks, tasks), getStatsData(knowledgePool, kis)]
  });
};