import React from 'react';
import { useWidgetContext } from "../../context";
import { useTopContributors } from "../../hooks/useTopContributors";
import { getContributorColumns } from "../../utils";
import { ContributorPresenter } from "../../shared/Contributor";
export var TopConverters = function () {
  var CONTRIBUTOR_COUNT = 6;
  var COLUMNS = 2;

  var _a = useWidgetContext(),
      client = _a.client,
      getEnvUrls = _a.provider.getEnvUrls,
      title = _a.config.title;

  var _b = getEnvUrls(),
      aragoIdUrl = _b.aragoIdUrl,
      graphUrl = _b.graphUrl;

  var _c = useTopContributors(client, 'Dashboard.TopConverters', CONTRIBUTOR_COUNT),
      contributors = _c.contributors,
      loading = _c.loading,
      error = _c.error;

  var totalCount = contributors && Object.keys(contributors).length;
  var maxPerColumn = Math.ceil(totalCount / COLUMNS);
  var topContributors = contributors && contributors.length > 0 ? getContributorColumns({
    contributors: contributors,
    graphUrl: graphUrl,
    maxPerColumn: maxPerColumn
  }) : [];
  return React.createElement(ContributorPresenter, {
    title: title,
    aragoIdUrl: aragoIdUrl,
    contributors: topContributors,
    error: error,
    loading: loading,
    count: CONTRIBUTOR_COUNT
  });
};