var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import styled from 'styled-components';
import defaultTheme from "../../../theme";
import { paddable, flexbox, alignColumn, alignRow, textAlign, raised } from "../../../utils";
export var Box = styled.div({
  display: 'flex',
  position: 'relative',
  boxSizing: 'border-box'
}, function (props) {
  return __assign(__assign({
    flexFlow: props.direction + " wrap"
  }, props.direction === 'column' ? alignColumn(props) : alignRow(props)), props.width || props.height ? {
    width: props.width,
    height: props.height
  } : flexbox(props));
}, textAlign, paddable, raised, function (_a) {
  var bordered = _a.bordered,
      theme = _a.theme;
  return bordered ? {
    border: "1px solid " + theme.colors[bordered === true ? 'primary' : bordered].default
  } : null;
}, function (_a) {
  var color = _a.color,
      theme = _a.theme;
  return color ? {
    backgroundColor: theme.colors[color].default,
    color: 'white'
  } : null;
}, function (_a) {
  var _b;

  var stretched = _a.stretched,
      direction = _a.direction;
  return stretched ? {
    '& > div': (_b = {}, _b[direction === 'row' ? 'width' : 'height'] = '100%', _b)
  } : null;
});
Box.defaultProps = {
  theme: defaultTheme,
  direction: 'column'
};
export var Circle = styled(Box).attrs({
  centered: true,
  verticalAlign: 'center'
})({
  width: '6em',
  height: '6em',
  borderRadius: '50%',
  borderWidth: '2px'
});
export default Box;