var __makeTemplateObject = this && this.__makeTemplateObject || function (cooked, raw) {
  if (Object.defineProperty) {
    Object.defineProperty(cooked, "raw", {
      value: raw
    });
  } else {
    cooked.raw = raw;
  }

  return cooked;
};

var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React, { useMemo } from 'react';
import styled, { css } from 'styled-components';
import defaultCreatedTheme from "../../../theme";
import { CaretDown, CaretUp } from "../../icons";
export var Table = styled.table.attrs(function (props) {
  var cs = [];

  if (props.sortable) {
    cs.push('sortable');
  }

  if (props.striped) {
    cs.push('striped');
  }

  if (props.striped) {
    cs.push('celled');
  }

  return {
    className: cs.join(' ')
  };
})(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  display: table;\n  border-spacing: 0px;\n  text-align: left;\n  overflow: hidden;\n\n  border-radius: ", ";\n  border: 1px solid ", ";\n"], ["\n  width: 100%;\n  display: table;\n  border-spacing: 0px;\n  text-align: left;\n  overflow: hidden;\n\n  border-radius: ", ";\n  border: 1px solid ", ";\n"])), function (_a) {
  var theme = _a.theme;
  return theme.sizes.borderRadius;
}, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.medium;
});
Table.defaultProps = {
  theme: defaultCreatedTheme
};
export var TableHeader = styled.thead(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: table-header-group;\n  box-sizing: border-box;\n"], ["\n  display: table-header-group;\n  box-sizing: border-box;\n"])));
var SortingWrapper = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n\n  & > svg {\n    display: inline-block;\n    padding-left: 1em;\n  }\n"], ["\n  display: flex;\n  align-items: center;\n\n  & > svg {\n    display: inline-block;\n    padding-left: 1em;\n  }\n"])));
export var TableHeaderCell = styled(function (_a) {
  var theme = _a.theme,
      children = _a.children,
      sorted = _a.sorted,
      rest = __rest(_a, ["theme", "children", "sorted"]);

  var arrow = useMemo(function () {
    if (!sorted) {
      return null;
    }

    return sorted === 'ascending' ? React.createElement(CaretUp, {
      width: "16",
      height: "16"
    }) : React.createElement(CaretDown, {
      width: "16",
      height: "16"
    });
  }, [sorted]);

  if (!sorted) {
    return React.createElement("th", __assign({}, rest, {
      children: children
    }));
  }

  return React.createElement("th", __assign({}, rest), React.createElement(SortingWrapper, null, children, arrow));
})(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: table-cell;\n  padding: 1em 2em;\n  box-sizing: border-box;\n\n  border-bottom: 1px solid ", ";\n\n  ", ".celled &:not(:last-child) {\n    border-right: 1px solid ", ";\n  }\n\n  ", ".sortable & {\n    cursor: pointer;\n\n    &:active:hover,\n    &:focus,\n    &:hover {\n      box-shadow: inset 0 0 1px 0 ", ";\n    }\n\n    &:active:hover {\n      background-color: ", " !important;\n    }\n\n    &:focus,\n    &:hover {\n      background-color: ", " !important;\n    }\n  }\n"], ["\n  display: table-cell;\n  padding: 1em 2em;\n  box-sizing: border-box;\n\n  border-bottom: 1px solid ", ";\n\n  ", ".celled &:not(:last-child) {\n    border-right: 1px solid ", ";\n  }\n\n  ", ".sortable & {\n    cursor: pointer;\n\n    &:active:hover,\n    &:focus,\n    &:hover {\n      box-shadow: inset 0 0 1px 0 ", ";\n    }\n\n    &:active:hover {\n      background-color: ", " !important;\n    }\n\n    &:focus,\n    &:hover {\n      background-color: ", " !important;\n    }\n  }\n"])), function (_a) {
  var theme = _a.theme;
  return theme.greyscale.medium;
}, Table, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.medium;
}, Table, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.dark;
}, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.medium;
}, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.light;
});
TableHeaderCell.defaultProps = {
  theme: defaultCreatedTheme
};
export var TableBody = styled.tbody(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: table-row-group;\n  position: relative;\n"], ["\n  display: table-row-group;\n  position: relative;\n"])));
export var TableRow = styled.tr(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  display: table-row;\n  outline: 0;\n  vertical-align: middle;\n  box-sizing: border-box;\n\n  &:last-child {\n    border-bottom-left-radius: ", ";\n    border-bottom-right-radius: ", ";\n  }\n\n  ", "\n\n  &:not(:last-child) {\n    border-bottom: 1px solid ", ";\n  }\n\n  ", ".striped &:nth-child(even) {\n    background-color: ", ";\n  }\n\n  ", ";\n"], ["\n  display: table-row;\n  outline: 0;\n  vertical-align: middle;\n  box-sizing: border-box;\n\n  &:last-child {\n    border-bottom-left-radius: ", ";\n    border-bottom-right-radius: ", ";\n  }\n\n  ", "\n\n  &:not(:last-child) {\n    border-bottom: 1px solid ", ";\n  }\n\n  ", ".striped &:nth-child(even) {\n    background-color: ", ";\n  }\n\n  ", ";\n"])), function (_a) {
  var theme = _a.theme;
  return theme.sizes.borderRadius;
}, function (_a) {
  var theme = _a.theme;
  return theme.sizes.borderRadius;
}, function (_a) {
  var dimmed = _a.dimmed;
  return dimmed ? css(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n          opacity: 0.5;\n        "], ["\n          opacity: 0.5;\n        "]))) : null;
}, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.medium;
}, Table, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.lighter;
}, function (_a) {
  var onClick = _a.onClick,
      theme = _a.theme;
  return onClick ? css(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n          cursor: pointer;\n\n          &:active:hover,\n          &:focus,\n          &:hover {\n            box-shadow: inset 0 0 1px 0 ", ";\n          }\n\n          &:active:hover {\n            background-color: ", " !important;\n          }\n\n          &:focus,\n          &:hover {\n            background-color: ", " !important;\n          }\n        "], ["\n          cursor: pointer;\n\n          &:active:hover,\n          &:focus,\n          &:hover {\n            box-shadow: inset 0 0 1px 0 ", ";\n          }\n\n          &:active:hover {\n            background-color: ", " !important;\n          }\n\n          &:focus,\n          &:hover {\n            background-color: ", " !important;\n          }\n        "])), theme.greyscale.dark, theme.greyscale.medium, theme.greyscale.light) : null;
});
TableRow.defaultProps = {
  theme: defaultCreatedTheme
};
export var TableCell = styled.td(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  display: table-cell;\n\n  padding: 1em 2em;\n  max-width: ", ";\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  box-sizing: border-box;\n\n  ", ".celled &:not(:last-child) {\n    border-right: 1px solid ", ";\n  }\n"], ["\n  display: table-cell;\n\n  padding: 1em 2em;\n  max-width: ", ";\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  box-sizing: border-box;\n\n  ", ".celled &:not(:last-child) {\n    border-right: 1px solid ", ";\n  }\n"])), function (_a) {
  var maxWidth = _a.maxWidth;
  return maxWidth;
}, Table, function (_a) {
  var theme = _a.theme;
  return theme.greyscale.medium;
});
TableCell.defaultProps = {
  theme: defaultCreatedTheme
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9;