import React from 'react';
import styled from 'styled-components';
import defaultTheme from '../../../theme';
export const MenuGroup = styled(({ children, theme, color, ...rest }) => {
    return (React.createElement("div", Object.assign({}, rest), React.Children.map(children, (child) => React.cloneElement(child, { color }))));
})({
    display: 'flex',
}, 
// Position
({ position }) => {
    if (!position) {
        return null;
    }
    const margin = position === 'left' ? 'marginRight' : 'marginLeft';
    return {
        [margin]: 'auto',
    };
});
MenuGroup.defaultProps = {
    theme: defaultTheme,
};
