import React from 'react';
import styled, { ThemeProvider } from 'styled-components';
import Masonry from 'react-masonry-css';
import { createTheme } from '../../theme';
import { Widget } from './Widget';
import { WidgetContextProvider } from './context';
const Wrapper = styled(Masonry)({
    display: 'flex',
    width: '100%',
    margin: '1em 0',
    '.masonryColumn': {
        margin: '0 1em',
        height: '100%',
    },
});
const breakpointColumns = {
    default: 2,
    760: 1,
};
export const Dashboard = (props) => {
    const { client, provider, config } = props;
    return (React.createElement(ThemeProvider, { theme: createTheme(config.theme) },
        React.createElement(Wrapper, { breakpointCols: breakpointColumns, columnClassName: "masonryColumn", className: "masonryGrid" }, Object.entries(config.widgets || []).map(([widgetConfigKey, widgetConfig]) => (React.createElement(WidgetContextProvider, { key: widgetConfigKey, client: client, provider: provider, config: widgetConfig },
            React.createElement(Widget, { as: widgetConfig.as })))))));
};
