import React from 'react';
import styled from 'styled-components';
import { Segment } from '../elements';
import { Loader } from '../modules';
import { useWidget } from './widgets';
const WidgetContent = ({ as }) => {
    const Component = useWidget(as);
    return React.createElement(Component, null);
};
const WidgetSegment = styled(Segment)({
    overflowY: 'auto',
    margin: 0,
    display: 'flex',
    flexFlow: 'column nowrap',
    alignItems: 'stretch',
    justifyContent: 'center',
    '& > small': {
        paddingBottom: '1em',
        textAlign: 'center',
    },
});
const WidgetBox = styled('div') `
  display: inline-block;
  width: 100%;
  margin: 10px 0;
  max-height: 50%;
  overflow: auto;
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.29);
  border-radius: 0.75em;
`;
export const Widget = ({ as }) => {
    return (React.createElement(WidgetBox, null,
        React.createElement(WidgetSegment, null,
            React.createElement(React.Suspense, { fallback: React.createElement(Loader, { active: true }) },
                React.createElement(WidgetContent, { as: as })))));
};
