import { useEffect, useState } from 'react';
export function useLucene(client, fetchParamsData, initialResultValue) {
    const [result, setResult] = useState(initialResultValue);
    const [loading, setLoading] = useState(false);
    const [error, setError] = useState(false);
    const [fetchParams, setFetchParams] = useState(fetchParamsData);
    useEffect(() => {
        const fetchData = async () => {
            setError(false);
            setLoading(true);
            const { querystring, params } = fetchParams;
            try {
                const result = await client.lucene(querystring, params);
                setResult(result);
            }
            catch (error) {
                setError(true);
            }
            setLoading(false);
        };
        fetchData();
    }, [client, fetchParams]);
    return [{ result, loading, error }, setFetchParams];
}
