import React from 'react';
import styled from 'styled-components';
import { Box } from '../../elements/Flex';
import { useWidgetContext } from '../context';
const DemoContainer = styled.div({
    padding: '0.25em 0',
    [`& > ${Box}`]: {
        height: '4em',
        flexWrap: 'nowrap',
    },
}, (props) => {
    if (props.size) {
        return {
            height: `${props.size}em`,
        };
    }
    return {};
});
export const Demo = () => {
    const { config: { size }, } = useWidgetContext();
    return React.createElement(DemoContainer, { size: size }, "I'm a Demo Widget. Hi there");
};
export default Demo;
