import React from 'react';
import { DiffText, InfoBody, InfoIcon, StatisticsColumn, TitleText, } from './styles';
import { Popover } from '../../../elements/Popover';
import { ProgressIndicator } from '../../../elements/ProgressIndicator';
export const StatisticColumn = ({ title, whatItIs, howToImprove, differenceText, angle, valueText, valueColor, backgroundColor, }) => {
    const [popoverAnchor, setPopoverAnchor] = React.useState(null);
    const popoverOpen = Boolean(popoverAnchor);
    const openPopover = (event) => {
        setPopoverAnchor(event.currentTarget);
    };
    const closePopover = () => {
        setPopoverAnchor(null);
    };
    return (React.createElement(StatisticsColumn, null,
        React.createElement(TitleText, null,
            title,
            React.createElement(InfoIcon, { onMouseOver: openPopover, onMouseLeave: closePopover }),
            React.createElement(Popover, { isOpen: popoverOpen, anchorElement: popoverAnchor, placing: "top" },
                React.createElement(InfoBody, null,
                    React.createElement("strong", null, "What it is:"),
                    React.createElement("p", null, whatItIs),
                    React.createElement("strong", null, "How to improve:"),
                    React.createElement("p", null, howToImprove)))),
        React.createElement(ProgressIndicator, { valueText: valueText, valueColor: valueColor, backgroundColor: backgroundColor, angle: angle }),
        React.createElement(DiffText, null, differenceText)));
};
