import React from 'react';
import { useWidgetContext } from '../../context';
import { Box } from '../../../elements';
import { topContributors, MockAvatar } from './mockData';
import { AvatarWrapper, Column, ContributorContainer, ContributorEmail, ContributorInfo, ContributorSessions, ContributorRanking, GoToBtn, WidgetTitle, Header, Body, } from './styles';
const ContributorAvatar = ({ userId, ranking, graphUrl, }) => (React.createElement(AvatarWrapper, null,
    React.createElement(ContributorRanking, null, ranking),
    React.createElement(MockAvatar, null)));
const Contributor = ({ userId, ranking, count, }) => {
    return (React.createElement(ContributorContainer, null,
        React.createElement(ContributorAvatar, { ranking: ranking, userId: userId }),
        React.createElement(ContributorInfo, null,
            React.createElement(ContributorEmail, null, userId),
            React.createElement(ContributorSessions, null,
                React.createElement("b", null, count),
                " Completed Teaching Sessions"))));
};
const columns = 2;
const totalCount = Object.keys(topContributors).length;
const maxPerColumn = Math.ceil(totalCount / columns);
export const TopContributors = () => {
    const { client, provider: { selectMe, getEnvUrls, openApp }, config: { title }, } = useWidgetContext();
    // TODO: Get GraphUrl from combined selector from Desktop when real data comes in
    const graphUrl = '';
    const { aragoIdUrl } = getEnvUrls();
    // TODO: fetch info from Dashboard.TopContributors timeseries vertex
    // TODO: fetch emails for each userId
    const contributorsColumns = React.useMemo(() => getColumns(topContributors), []);
    return (React.createElement(Box, { centered: true },
        React.createElement(Header, null,
            React.createElement(WidgetTitle, null, title),
            React.createElement(GoToBtn, { aragoIdUrl: aragoIdUrl }, "Go to Arago ID")),
        React.createElement(Body, null, contributorsColumns.map((rows, columnIndex) => (React.createElement(Column, { key: columnIndex }, rows.map(({ userId, ranking, count }) => (React.createElement(Contributor, { key: userId, userId: userId, ranking: ranking, count: count })))))))));
};
const getColumns = (topContributors) => {
    let columnIndex = 0;
    return Object.entries(topContributors).reduce((columns, stats, i) => {
        const contributor = {
            userId: stats[0],
            count: stats[1],
            ranking: i + 1,
        };
        if (columns[columnIndex].length >= maxPerColumn) {
            columnIndex += 1;
            columns.push([contributor]);
            return columns;
        }
        columns[columnIndex].push(contributor);
        return columns;
    }, [[]]);
};
export default TopContributors;
