import styled from 'styled-components';
import { Button } from '../../../inputs';
export const Header = styled.div `
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
`;
export const WidgetTitle = styled.span `
  font-size: 22px;
  font-weight: bold;
  line-height: 35px;
  color: #393941;
`;
export const GoToBtn = styled(Button).attrs((props) => ({
    as: 'a',
    href: props.aragoIdUrl,
    target: '_blank noopener noreferer',
    secondary: true,
    color: 'green',
}))({
    textDecoration: 'none',
    '&:hover, &:focus': {
        color: '#1DA75D',
    },
});
export const Column = styled.div `
  display: flex;
  flex-direction: column;
`;
export const Body = styled.div `
  display: flex;
  padding: 0;
  height: 100%;
  flex-wrap: wrap;
  justify-content: space-around;
`;
export const ContributorRanking = styled.div `
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  background-color: #519375;
  border-radius: 50%;
  color: white;
  font-weight: 600;
  z-index: 1;
  left: -4px;
  top: -4px;
`;
export const AvatarWrapper = styled.div `
  position: relative;
  border: 3px solid #519375;
  border-radius: 50%;
  width: 59px;
  height: 59px;
  flex-shrink: 0;
`;
export const AvatarImage = styled.img `
  width: 59px;
  height: 59px;
  position: absolute;
  top: -3px;
  left: -3px;
`;
export const ContributorContainer = styled.div `
  display: flex;
  align-items: center;
  margin: 8px;
`;
export const ContributorInfo = styled.div `
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 16px;
`;
export const ContributorEmail = styled.div `
  font-weight: 600;
  font-size: 16px;
`;
export const ContributorSessions = styled.div `
  font-size: 12px;
`;
