import React from 'react';
import styled from 'styled-components';
import { Box } from '../../../elements';
import { Button } from '../../../inputs';
export const SessionsButton = ({ text, color, children, onClick, }) => {
    const Component = styled(Button)({
        minWidth: '50%',
        borderRadius: '0',
        position: 'relative',
        padding: '24px',
        backgroundColor: color,
        '&:active:hover': {
            backgroundColor: color,
        },
        '&:hover, &:focus': {
            backgroundColor: color,
            overflow: 'hidden',
        },
        '&:hover:after': {
            content: `'${text}'`,
            display: 'block',
            fontSize: '14px',
            position: 'absolute',
            top: '50%',
            right: '50%',
            border: '1px solid white',
            transform: 'translate(50%, -50%)',
            padding: '12px',
            borderRadius: '25px',
        },
        [`&:hover > ${Box}`]: {
            filter: `blur(5px)`,
        },
    });
    return React.createElement(Component, { onClick: onClick }, children);
};
