import styled from 'styled-components';
import defaultTheme from '../../../theme';
import { sm, md, lg, xl, textAlign } from '../../../utils';
/**
 * Simple responsive container for app content
 */
export const Container = styled.div({
    display: 'block',
    maxWidth: '100%',
}, ({ stretched }) => (stretched ? { height: '100%' } : null), (props) => props.fluid
    ? { width: '100%' }
    : {
        [sm(props)]: {
            marginLeft: '2rem',
            marginRight: '2rem',
            width: 'auto',
        },
        [md(props)]: {
            width: '723px',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
        [lg(props)]: {
            width: '933px',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
        [xl(props)]: {
            width: '1127px',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
    }, textAlign);
Container.defaultProps = {
    theme: defaultTheme,
};
