import styled from 'styled-components';
import defaultTheme from '../../../theme';
import { paddable, flexbox, alignColumn, alignRow, textAlign, raised, } from '../../../utils';
export const Box = styled.div({
    display: 'flex',
    position: 'relative',
    boxSizing: 'border-box',
}, (props) => ({
    flexFlow: `${props.direction} wrap`,
    ...(props.direction === 'column' ? alignColumn(props) : alignRow(props)),
    ...(props.width || props.height
        ? {
            width: props.width,
            height: props.height,
        }
        : flexbox(props)),
}), textAlign, paddable, raised, ({ bordered, theme }) => bordered
    ? {
        border: `1px solid ${theme.colors[bordered === true ? 'primary' : bordered].default}`,
    }
    : null, ({ color, theme }) => color
    ? {
        backgroundColor: theme.colors[color].default,
        color: 'white',
    }
    : null, ({ stretched, direction }) => stretched
    ? {
        '& > div': {
            [direction === 'row' ? 'width' : 'height']: '100%',
        },
    }
    : null);
Box.defaultProps = {
    theme: defaultTheme,
    direction: 'column',
};
export const Circle = styled(Box).attrs({
    centered: true,
    verticalAlign: 'center',
})({
    width: '6em',
    height: '6em',
    borderRadius: '50%',
    borderWidth: '2px',
});
export default Box;
