import styled from 'styled-components';
import defaultCreatedTheme from '../../../theme';
const sizes = {
    mini: '35px',
    tiny: '80px',
    small: '150px',
    medium: '300px',
    large: '450px',
    big: '600px',
    huge: '800px',
    massive: '960px',
};
export const Image = styled.img({}, ({ size, avatar, theme }) => {
    // Different scale used for for avatar
    if (avatar) {
        return { fontSize: theme.sizes.scale[size || 'mini'], height: 'auto' };
    }
    if (!size) {
        return;
    }
    return {
        width: sizes[size],
        height: 'auto',
    };
}, ({ avatar }) => avatar ? { borderRadius: '50%', width: '4em', margin: '0.5em' } : null);
Image.defaultProps = { theme: defaultCreatedTheme };
