import styled from 'styled-components';
import defaultCreatedTheme from '../../../theme';
export const List = styled.ul({
    listStyle: 'none',
    padding: 0,
    margin: 0,
}, ({ divided, theme }) => {
    if (!divided) {
        return '';
    }
    return {
        '& > li:not(:last-child)': {
            borderBottom: `1px solid ${theme.greyscale.light}`,
        },
    };
}, ({ relaxed }) => {
    if (!relaxed) {
        return '';
    }
    return {
        '& > li:not(:last-child)': {
            paddingBottom: '0.5em',
        },
        '& > li:not(:first-child)': {
            paddingTop: '0.5em',
        },
    };
});
List.defaultProps = {
    theme: defaultCreatedTheme,
};
