import styled from 'styled-components';
import { paddable, textAlign } from '../../../utils';
import defaultCreatedTheme from '../../../theme';
export const ListItem = styled.li({
    display: 'flex',
    alignItems: 'center',
    minHeight: '3em',
    boxSizing: 'border-box',
}, paddable, textAlign, ({ theme, onClick }) => onClick
    ? {
        cursor: 'pointer',
        '&:active:hover': {
            backgroundColor: theme.greyscale.light,
        },
        '&:hover, &:focus': {
            backgroundColor: theme.greyscale.lighter,
        },
    }
    : null);
ListItem.defaultProps = { theme: defaultCreatedTheme };
