import React from 'react';
import { DonutContainer, DonutValue } from './styles';
const calculateProgressCoordinates = (alpha = 0) => {
    if (!alpha) {
        return {};
    }
    const R = 100;
    const a = ((90 - alpha) * Math.PI) / 180;
    const x = alpha === 360 ? -0.1 : Math.round(R * Math.cos(a));
    const y = Math.round(-R * Math.sin(a));
    return { x, y, center: alpha > 180 || x < 0 ? 1 : 0 };
};
export const ProgressIndicator = ({ valueColor, backgroundColor, angle = 0, valueText }) => {
    const { x, y, center } = calculateProgressCoordinates(angle);
    return (React.createElement(DonutContainer, null,
        React.createElement("svg", { width: "100%", height: "100%", viewBox: "-106 -106 212 212" },
            React.createElement("path", { d: `M 0,-100 A 100,100 0 1,1 -0.1,-100`, fill: "none", strokeWidth: "4", stroke: backgroundColor }),
            React.createElement("path", { d: `M 0,-100 A 100,100 0 ${center},1 ${x},${y}`, fill: "none", strokeWidth: "4", stroke: valueColor })),
        React.createElement(DonutValue, null, valueText)));
};
