import styled, { css, keyframes } from 'styled-components';
import defaultTheme from '../../theme';
import { clickable } from '../../utils';
/**
 * Animation
 */
const rotate = keyframes `
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
`;
const loadingAnimation = css `
  animation: ${rotate} 1s linear infinite;
`;
export const Icon = styled.svg({
    position: 'relative',
    display: 'block',
}, ({ height, width, color, theme }) => ({
    height,
    width,
}), ({ fitted }) => (fitted ? null : { margin: '0 0.25rem 0 0' }), ({ circular }) => (circular ? { borderRadius: '50%' } : null), ({ loading }) => (loading ? loadingAnimation : null), ({ floated }) => floated
    ? {
        [floated === 'right' ? 'marginLeft' : 'marginRight']: 'auto',
    }
    : null, (props) => (props.onClick ? clickable(props) : null), ({ bordered, circular }) => bordered || circular ? { padding: '0.15em' } : null, ({ inverted, color, theme, bordered }) => {
    if (!inverted) {
        return {
            fill: color ? theme.colors[color].default : undefined,
            border: bordered ? `1px solid ${theme.greyscale.light}` : undefined,
        };
    }
    return {
        fill: theme.colors.white.default,
        backgroundColor: color
            ? theme.colors[color].default
            : theme.colors.black.default,
    };
});
Icon.defaultProps = {
    theme: defaultTheme,
    width: 20,
    height: 20,
};
