import React, { useMemo } from 'react';
import { New } from './New';
import { Stopped } from './Stopped';
import { Waiting } from './Waiting';
import { Resolved } from './Resolved';
import { Terminated } from './Terminated';
import { Processing } from './Processing';
export const Status = ({ status, show, ...rest }) => {
    const [Icon, color] = useMemo(() => {
        switch (status) {
            case 'NEW':
                return [New, 'grey'];
            case 'STOPPED':
                return [Stopped, 'red'];
            case 'WAITING':
                return [Waiting, 'orange'];
            case 'RESOLVED':
                return [Resolved, 'green'];
            case 'TERMINATED':
                return [Terminated, 'purple'];
            case 'PROCESSING':
                return [Processing, 'blue'];
            default:
                return [];
        }
    }, [status]);
    if (!Icon) {
        return null;
    }
    return React.createElement(Icon, Object.assign({}, rest, { color: color }));
};
