import React from 'react';
import { Box } from '../../elements';
import { StyledInput } from './StyledInput';
export const Input = ({ label, ...rest }) => {
    if (!label) {
        return React.createElement(StyledInput, Object.assign({}, rest));
    }
    return (React.createElement(Box, { direction: "row", verticalAlign: "center" },
        React.createElement(Box, { size: [1, 0.25] },
            React.createElement("label", null, label)),
        React.createElement(Box, { size: [1, 0.75] },
            React.createElement(StyledInput, Object.assign({ label: typeof label === 'string' && label }, rest)))));
};
