import styled from 'styled-components';
import defaultTheme from '../../../theme';
export const StyledInput = styled.input({
    margin: 0,
    outline: 0,
    textAlign: 'left',
    lineHeight: '1.5em',
    padding: '.5em 1em',
}, ({ theme, error }) => {
    const color = error ? theme.colors['red'].light : theme.greyscale.light;
    const hoverColor = error
        ? theme.colors['red'].default
        : theme.colors.primary.default;
    const backgroundColor = error ? theme.colors['red'].verylight : undefined;
    return {
        borderRadius: theme.sizes.borderRadius,
        border: `1px solid ${color}`,
        backgroundColor,
        color: error ? theme.colors['red'].default : undefined,
        '&:focus, &:focus:hover, &:hover': {
            borderColor: hoverColor,
        },
        '&:hover': {
            boxShadow: `1px 1px 12px 0 ${theme.greyscale.dark}`,
        },
        '&:disabled': {
            backgroundColor: 'transparent',
            '&:hover': {
                boxShadow: 'none',
                borderColor: color,
            },
        },
    };
}, ({ fluid }) => (fluid ? { width: '100%' } : null));
StyledInput.defaultProps = {
    theme: defaultTheme,
};
