/// <reference types="react" />
/**
 * Async component loading for use with Dashboard.
 *
 * Should be used with component wrapped in `React.Suspense`
 *
 * @example
 * ```
 * const AsyncHeader = () => {
 *  const Header = useAsyncComponent('Header');
 *
 *  return <Header>Hello world!</Header>
 * }
 *
 * ...
 *
 * <React.Suspense fallback={<Loader active />}>
 *   <AsyncHeader />
 * </React.Suspense>
 * ```
 */
export declare const useWidget: (type?: "Welcome" | "SessionList" | "Demo" | "TopContributors" | "Statistic" | undefined) => import("react").LazyExoticComponent<import("react").FunctionComponent<{}>> | import("react").LazyExoticComponent<import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("../../elements/Flex/Box").BoxProps, never>>;
